From 9b1d6a4ce5442cb030bb9a68d7480d1e8f4e86c2 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sun, 5 May 2019 01:55:24 +0200
Subject: [PATCH 1/2] qt: add ppc64 cross targets

[ci skip]
---
 srcpkgs/qt/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/srcpkgs/qt/template b/srcpkgs/qt/template
index 6c13a465891..2c5b38999bc 100644
--- a/srcpkgs/qt/template
+++ b/srcpkgs/qt/template
@@ -107,6 +107,22 @@ do_configure() {
 				_opts+=" -arch mips"
 				_spec="mipsel-linux-muslhf-c++"
 				;;
+			ppc64le)
+				_opts+=" -arch powerpc"
+				_spec="powerpc64le-linux-gnu-c++"
+				;;
+			ppc64le-musl)
+				_opts+=" -arch powerpc"
+				_spec="powerpc64le-linux-musl-c++"
+				;;
+			ppc64)
+				_opts+=" -arch powerpc"
+				_spec="powerpc64-linux-gnu-c++"
+				;;
+			ppc64-musl)
+				_opts+=" -arch powerpc"
+				_spec="powerpc64-linux-musl-c++"
+				;;
 			*-musl)
 				_opts+=" -arch arm"
 				_spec="${XBPS_TARGET_MACHINE}-linux-musl-c++"

From afc6c5760607308e07a5dfac946a2a31abc531cc Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sun, 5 May 2019 01:55:42 +0200
Subject: [PATCH 2/2] qt-webkit: fix build and disable jit/asm for ppc

It is necessary to add python to host makedepends as python2
is necessary on host during build (python3 will fail to run the
respective script). Adding it early is necessary for proper
alternatives registration for py2.

[ci skip]
---
 srcpkgs/qt-webkit/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/qt-webkit/template b/srcpkgs/qt-webkit/template
index af8507d45a8..1c3ff6c0ee2 100644
--- a/srcpkgs/qt-webkit/template
+++ b/srcpkgs/qt-webkit/template
@@ -5,7 +5,7 @@ revision=7
 _qtver=4.8.7
 wrksrc="qtwebkit-${version}"
 create_wrksrc=yes
-hostmakedepends="automake libtool bison flex gperf ruby pkg-config qt-qmake"
+hostmakedepends="automake libtool bison flex gperf python ruby pkg-config qt-qmake"
 makedepends="MesaLib-devel libjpeg-turbo-devel qt-devel qt-designer-devel
  glib-devel fontconfig-devel gst-plugins-base1-devel sqlite-devel libXrender-devel"
 short_desc="Open source web browser engine (Qt4 port)"
@@ -50,7 +50,7 @@ do_build() {
 		opts+=" DEFINES+=ENABLE_JIT=0"
 		opts+=" DEFINES+=ENABLE_YARR_JIT=0"
 		;;
-	arm*|mips*)
+	arm*|mips*|ppc*)
 		# Disable JIT and assembler
 		opts+=" DEFINES+=ENABLE_JIT=0"
 		opts+=" DEFINES+=ENABLE_YARR_JIT=0"
